<?php
/**
 * Return Authorization Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_return_authorization_default.php 2.3.3 4/13/2010 Clyde Jones $
 */
?>

<div class="centerColumn" id="pageThree">
<?php echo HEADING_TITLE; ?>
<?php echo zen_draw_form('return_authorization', zen_href_link(FILENAME_RETURN_AUTHORIZATION, 'action=send', 'SSL')); ?>

<?php if (RETURN_STORE_NAME_ADDRESS == 'true') { ?>
<address><?php echo nl2br(STORE_NAME_ADDRESS); ?></address>
<?php } ?>

<?php
  if (isset($_GET['action']) && ($_GET['action'] == 'success')) {
?>

<div class="mainContent success"><?php echo TEXT_SUCCESS; ?></div>

<?php
  } else {
?>

<?php if (DEFINE_RETURN_AUTHORIZATION_STATUS >= '1' and DEFINE_RETURN_AUTHORIZATION_STATUS <= '2') { ?>
<div id="pageThreeMainContent">
<?php  
/**
 * require html_define for the Returns page
 */
require($define_page);
?>
</div>
<?php } ?>

<fieldset>
<legend><?php echo NAVBAR_TITLE; ?></legend>
<?php if ($messageStack->size('return__authorization') > 0) echo $messageStack->output('return_authorization'); ?>
<div class="alert back"><?php echo zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT) . RETURN_REQUIRED_INFORMATION . zen_image($template->get_template_dir(RETURN_OPTIONAL_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_OPTIONAL_IMAGE, RETURN_OPTIONAL_IMAGE_ALT, RETURN_OPTIONAL_IMAGE_WIDTH, RETURN_OPTIONAL_IMAGE_HEIGHT) . RETURN_OPTIONAL_INFORMATION; ?></div>
<br class="clearBoth" />

<fieldset>
<legend class="personal"><?php echo CONTACT_INFORMATION; ?></legend>
<ol>
<li>
<label class="inputLabel"  for="contactname"><?php echo (($error == true && $entry_name_error == true) ?  ENTRY_NAME . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_NAME . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_name_error == true) ? zen_draw_input_field('contactname', $name, ' size="20" id="contactname"') . ENTRY_NAME_ERROR : zen_draw_input_field('contactname', $name, ' size="20" id="contactname"')); ?>
</li>
<li>
<label class="inputLabel"  for="emailaddress"><?php echo (($error == true && $entry_email_error == true)? ENTRY_EMAIL . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_EMAIL . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_email_error == true)? zen_draw_input_field('email', ($error ? $_POST['email'] : $email), ' size="20" id="emailaddress"') . ENTRY_EMAIL_ERROR : zen_draw_input_field('email', ($error ? $_POST['email'] : $email), ' size="20" id="emailaddress"')); ?>
</li>
<?php
  if (RETURN_PHONE == 'true') {
?>
<li>
<label class="inputLabel"  for="telephone"><?php echo ENTRY_TELEPHONE . zen_image($template->get_template_dir(RETURN_OPTIONAL_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_OPTIONAL_IMAGE, RETURN_OPTIONAL_IMAGE_ALT, RETURN_OPTIONAL_IMAGE_WIDTH, RETURN_OPTIONAL_IMAGE_HEIGHT); ?></label>
<?php echo zen_draw_input_field('telephone', $telephone, ' size="20" id="telephone"'); ?>
</li>
<?php
  }
?>
<li>
<label class="inputLabel"  for="address"><?php echo (($error == true && $entry_street_address_error == true) ? ENTRY_STREET_ADDRESS . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_STREET_ADDRESS . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
  <?php echo (($error == true && $entry_street_address_error == true) ? zen_draw_input_field('address', $address, ' size="20" id="address"') . ENTRY_ADDRESS_ERROR : zen_draw_input_field('address', $address, ' size="20" id="address"')); ?>
</li>
<li>
<label class="inputLabel"  for="city"><?php echo (($error == true && $entry_city_error == true) ? ENTRY_CITY . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_CITY . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_city_error == true) ? zen_draw_input_field('city', $city, ' size="20" id="city"') . ENTRY_CITY_TEXT_ERROR : zen_draw_input_field('city', $city, ' size="20" id="city"')); ?>
</li>
<li>
<label class="inputLabel"  for="state"><?php echo (($error == true && $entry_state_error == true) ? ENTRY_STATE . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_STATE . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_state_error == true) ? zen_draw_input_field('state', $state, ' size="20" id="state"') . ENTRY_STATE_TEXT_ERROR : zen_draw_input_field('state', $state, ' size="20" id="state"')); ?>
</li>
<li>
<label class="inputLabel"  for="postcode"><?php echo (($error == true && $entry_postcode_error == true) ? ENTRY_POST_CODE . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_POST_CODE . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_postcode_error == true) ? zen_draw_input_field('postcode', $postcode, ' size="20" id="postcode"') . ENTRY_POSTCODE_ERROR : zen_draw_input_field('postcode', $postcode, ' size="20" id="postcode"')); ?>
</li>
<li>
<label class="inputLabel"  for="country"><?php echo (($error == true && $entry_country_error == true) ? ENTRY_COUNTRY . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_COUNTRY . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_country_error == true) ? zen_draw_input_field('country', $country, ' size="20" id="country"') . ENTRY_COUNTRY_TEXT_ERROR : zen_draw_input_field('country', $country, ' size="20" id="country"')); ?>
</li>
</ol>
</fieldset>
<fieldset>
<legend class="order"><?php echo ORDER_INFORMATION; ?></legend>
<ol>
<li>
<label class="inputLabel"  for="order-number"><?php echo (($error == true && $entry_order_number_error == true) ? ENTRY_ORDER_NUMBER . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_ORDER_NUMBER . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_order_number_error == true) ? zen_draw_input_field('order_number', $order_number, 'size="20" id="order-number"') . ENTRY_ORDER_NUMBER_ERROR : zen_draw_input_field('order_number', $order_number, 'size="20" id="order-number"')); ?>
</li>
<?php
  if (RETURN_ITEM_NAME == 'true') {
?>
<li>
<label class="inputLabel"  for="item_name"><?php echo ENTRY_ITEM_NAME . zen_image($template->get_template_dir(RETURN_OPTIONAL_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_OPTIONAL_IMAGE, RETURN_OPTIONAL_IMAGE_ALT, RETURN_OPTIONAL_IMAGE_WIDTH, RETURN_OPTIONAL_IMAGE_HEIGHT); ?></label>
<?php echo zen_draw_input_field('item_name', '', 'size="20" id="item_name"') ; ?>
</li>
<?php
  }
?>
<?php
  if (RETURN_ITEM_NUMBER == 'true') {
?>
<li>
<label class="inputLabel"  for="item_number"><?php echo ENTRY_ITEM_NUMBER . zen_image($template->get_template_dir(RETURN_OPTIONAL_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_OPTIONAL_IMAGE, RETURN_OPTIONAL_IMAGE_ALT, RETURN_OPTIONAL_IMAGE_WIDTH, RETURN_OPTIONAL_IMAGE_HEIGHT); ?></label>
<?php echo zen_draw_input_field('item_number', '', 'size="20" id="item_number"') ; ?>
</li>
<?php
  }
?>
<?php
  if (RETURN_VALUE == 'true') {
?>
<li>
<label class="inputLabel"  for="total_value"><?php echo ENTRY_VALUE . zen_image($template->get_template_dir(RETURN_OPTIONAL_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_OPTIONAL_IMAGE, RETURN_OPTIONAL_IMAGE_ALT, RETURN_OPTIONAL_IMAGE_WIDTH, RETURN_OPTIONAL_IMAGE_HEIGHT); ?></label>
<?php echo zen_draw_input_field('total_value', '', 'size="20" id="total_value"') ; ?>
</li>
<?php
  }
?>
<?php
if (RETURN_ACTION_LIST != ''){

  foreach(explode(",", RETURN_ACTION_LIST) as $k => $v) {
    $entry_action_array[] = array('id' => $v, 'text' => preg_replace('/\<[^*]*/', '', $v));
  }
?>
<li> 
<?php echo ENTRY_ACTION_INFO; ?> 
<label class="inputLabel"><?php echo ENTRY_ACTION . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT); ?></label>
<?php echo zen_draw_pull_down_menu('action', $entry_action_array);?>
</li>
<?php
} else {
$default_action = ENTRY_ACTION_DEFAULT;
?>
<li>
<label class="inputLabel"><?php echo ENTRY_ACTION . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT); ?></label>
<?php echo zen_draw_input_field('action', $default_action, 'size="20"') ; ?>
</li>
<?php
}	
?>
</ol>
</fieldset>
<fieldset>
<legend class="write"><?php echo ENTRY_REASON; ?></legend>
<ol>
<li>
<label class="inputLabel"  for="reason"><?php echo (($error == true && $entry_reason_error == true) ? ENTRY_REASON_TEXT . zen_image($template->get_template_dir(RETURN_WARNING_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_WARNING_IMAGE, RETURN_WARNING_IMAGE_ALT, RETURN_WARNING_IMAGE_WIDTH, RETURN_WARNING_IMAGE_HEIGHT) : ENTRY_REASON_TEXT . zen_image($template->get_template_dir(RETURN_REQUIRED_IMAGE, DIR_WS_TEMPLATE, $current_page_base,'images'). '/' . RETURN_REQUIRED_IMAGE, RETURN_REQUIRED_IMAGE_ALT, RETURN_REQUIRED_IMAGE_WIDTH, RETURN_REQUIRED_IMAGE_HEIGHT)); ?></label>
<?php echo (($error == true && $entry_reason_error == true) ? zen_draw_textarea_field('reason', '30', '7', $reason, 'id="reason"') . ENTRY_REASON_TEXT_ERROR : zen_draw_textarea_field('reason', '30', '7', $reason, 'id="reason"')); ?>
</li>
</ol>
</fieldset>
<br class="clearBoth" />
<div class="buttonRow forward"><?php echo zen_image_submit(BUTTON_IMAGE_SEND, BUTTON_SEND_ALT); ?></div>
</fieldset>
<?php
  }
?>

</form>
<div class="buttonRow back"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>
<br class="clearBoth" />
</div>
